Page MenuHomePhabricator

Support Data namespace redirects
Open, NormalPublic

Description

At some point community will need to organize data better. Currently, renaming Data namespace pages does not leave redirects, thus breaking existing usages. This is especially bad because there is no easy way to find all of the pages in other wikis that rely on the data.

Event Timeline

Yurik created this task.Dec 18 2016, 6:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2016, 6:28 PM
MaxSem claimed this task.Feb 2 2017, 1:27 AM
MaxSem added a project: Maps-Sprint.
MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.

Change 335711 had a related patch set uploaded (by MaxSem):
WIP: Support redirects

https://gerrit.wikimedia.org/r/335711

MaxSem moved this task from In progress to Needs review on the Maps-Sprint board.Feb 3 2017, 2:24 AM
debt added a subscriber: debt.

Hi @MaxSem and @Yurik can you take a look at this when you get a chance?

Base added a subscriber: Base.May 30 2017, 7:41 PM
debt moved this task from Stalled/Waiting to Backlog on the Maps-Sprint board.Jun 6 2017, 7:50 PM
debt removed MaxSem as the assignee of this task.

Moving to backlog until such time that we can take this up again.

Moving off the sprint board - the Discovery team won't be able to do this work at this time.

Super keen for this to happen. In my project I want to use parameters entered in an invocation of a module to be used by the module to construct the filename. So, for example, the editor writes:

{{#invoke:CouncilData|dumpall|Belfast|2014}}

and the module fetches political composition data from Data:UK Councils/Changes/Belfast 2014.tab.

They then move on to what they know as North Down and Ards Borough Council. But the data they are accessing runs from 2014 to 2018 and during that time, the council changed its name to Ards and North Down. My protocol is to file the data under the name at present or at abolition, so when they invoke North Down and Ards|2014, they get nothing.

The workaround I'd be employing in the absence of this would be a separate directory of synonyms.

Cheers :)

RP88 added a subscriber: RP88.Nov 9 2018, 8:25 PM